cordova.define("com.thoughtworks.tros.weibo.WeiboPlugin", function(require, exports, module) { 
var argscheck = require('cordova/argscheck'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec');

var weibo = function(){}

weibo.login = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeiboPlugin", "login", []);
}

weibo.hasLogin = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeiboPlugin", "hasLogin", []);
}

weibo.logout = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeiboPlugin", "logout", []);
}

weibo.share = function(successCallback, errorCallback, param){
    exec(successCallback, errorCallback, "WeiboPlugin", "share", param);
};


module.exports = weibo;

});
