cordova.define("com.thoughtworks.tros.weixin.WeixinPlugin", function(require, exports, module) { 
var argscheck = require('cordova/argscheck'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec');

var weixin = function(){}

weixin.login = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeixinPlugin", "login", []);
}

weixin.hasLogin = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeixinPlugin", "hasLogin", []);
}

weixin.logout = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "WeixinPlugin", "logout", []);
}

weixin.shareToFriend = function(successCallback, errorCallback, param){
    exec(successCallback, errorCallback, "WeixinPlugin", "shareToFriend", param);
};
weixin.shareToTimeline = function(successCallback, errorCallback, param){
    exec(successCallback, errorCallback, "WeixinPlugin", "shareToTimeline", param);
};

weixin.pay = function(successCallback, errorCallback, param) {
    exec(successCallback, errorCallback, "WeixinPlugin", "pay", param);
}

module.exports = weixin;

});
