cordova.define("com.thoughtworks.tros.qq.QQPlugin", function(require, exports, module) { 
var argscheck = require('cordova/argscheck'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec');

var QQ = function(){}

QQ.login = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "QQPlugin", "login", []);
}

QQ.hasLogin = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "QQPlugin", "hasLogin", []);
}

QQ.logout = function(successCallback, errorCallback){
	exec(successCallback, errorCallback, "QQPlugin", "logout", []);
}

QQ.shareToFriend = function(successCallback, errorCallback, params){
    exec(successCallback, errorCallback, "QQPlugin", "shareToFriend", params);
}

QQ.shareToQZone = function(successCallback, errorCallback, params){
    exec(successCallback, errorCallback, "QQPlugin", "shareToQZone", params);
}

module.exports = QQ;

});
